<nz-spin [nzSpinning]="isLoading">
  <div style="text-align: center" *ngIf="type === 'hotel'">
    <h3>
      {{ "Economy.Curriencies.PriceOf" | translate }}
      {{
        construction.currency
          ? construction.currency.symbol
          : construction.region.country.currency.symbol
      }}
      {{ "Economy.Construction.PerStay" | translate }}:
    </h3>
    <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton">
      <input nz-input [(ngModel)]="rentPrice" type="number" />
    </nz-input-group>
    <ng-template #suffixIconButton>
      <button nz-button nzType="primary" nzSearch nzShape="round" (click)="updatePrice()">
        {{ "Common.Buttons.UpdatePrice" | translate }}
      </button>
    </ng-template>
  </div>
  <nz-divider></nz-divider>

  <div style="text-align: center">
    <h3>{{ "Economy.Market.MarketOffering" | translate }}</h3>
    <div *ngIf="currentSellOffer">
      <h4>
        {{ "Economy.Market.SellingFor" | translate }} {{ currentSellOffer.price
        }}{{ currentSellOffer.priceCurrency.name }}
      </h4>
      <button
        nz-button
        nzShape="round"
        nzType="danger"
        (click)="removeOffer()"
        [nzLoading]="isLoading"
      >
        {{ "Common.Buttons.RemoveOffer" | translate }}
      </button>
    </div>
    <div *ngIf="!currentSellOffer">
      <h4>
        {{ "Economy.Construction.SellThisProperty" | translate }} {{ construction.region.country.currency.symbol }}
      </h4>
      <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton">
        <input nz-input [(ngModel)]="sellPrice" type="number" />
      </nz-input-group>
      <ng-template #suffixIconButton>
        <button nz-button nzType="primary" nzSearch (click)="sell()">
          {{ "Common.Buttons.Sell" | translate }}
        </button>
      </ng-template>
    </div>
  </div>
</nz-spin>
